> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a simple message (POST request)



## OpenAPI

````yaml /openapi/en/json/jsonapi_v2.yaml post /simple/message
openapi: 3.1.0
info:
  title: JSON API
  description: >
    API for sending messages via SMS, Viber, WhatsApp and other communication
    channels.


    ## JSON API v2


    API key is required for all requests. You can find your API key in your
    [account settings](https://app.smsmanager.com/api-cloud).


    API versions (http-api and xml-api) are deprecated also and you should use
    this JSON API v2 instead.
  version: v2
  contact:
    url: https://smsmanager.cz
    email: cc@smsmanager.cz
servers:
  - url: https://api.smsmngr.com/v2
    description: Responds with your request data
security: []
tags:
  - name: sending
    x-displayName: Sending messages
    description: |
      For sending messages use one of the following endpoints.
      - `/message` for sending a message up to 10 recipients
      - `/messages` for sending multiple messages (up to 10 messages at once)
      - `/simple/message` for sending a simple message (GET and POST)
paths:
  /simple/message:
    post:
      tags:
        - sending
      summary: Send a simple message (POST request)
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - phone_number
                - message
                - sender
              properties:
                phone_number:
                  type: string
                message:
                  type: string
                sender:
                  type: string
      responses:
        '200':
          description: Simple message sent successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageSimpleResponse'
              examples:
                Accepted message:
                  value:
                    request_id: 11111111-1111-1111-1111-111111111111
                    message_id: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee
                    accepted: true
                Rejected invalid number:
                  value:
                    request_id: 22222222-2222-2222-2222-222222222222
                    accepted: false
                Rejected insufficient credit:
                  value:
                    request_id: 33333333-3333-3333-3333-333333333333
                    accepted: false
                Accepted promo message:
                  value:
                    request_id: 44444444-4444-4444-4444-444444444444
                    message_id: ffffffff-gggg-hhhh-iiii-jjjjjjjjjjjj
                    accepted: true
                Accepted transactional message:
                  value:
                    request_id: 55555555-5555-5555-5555-555555555555
                    message_id: kkkkkkkk-llll-mmmm-nnnn-oooooooooooo
                    accepted: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_id:
                    type: string
                    description: Unique request identifier.
                    example: bc36f3d1-d284-463a-921b-a3560c154649
                  accepted:
                    type: boolean
                    description: True if the message was accepted, false if rejected.
                    example: false
        '415':
          description: Wrong Content-Type
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: >-
                      Only Content-Type:application/x-www-form-urlencoded is
                      supported
                    example: 'Unsupported Media Type '
      security:
        - x-api-key: []
components:
  schemas:
    MessageSimpleResponse:
      type: object
      properties:
        request_id:
          type: string
          description: Unique request identifier.
          example: bc36f3d1-d284-463a-921b-a3560c154649
        message_id:
          type: string
          description: Unique message identifier.
          example: bc36f3d1-d284-463a-921b-a3560c154649
        accepted:
          type: boolean
          description: True if the message was accepted, false if rejected.
          example: true
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````